Subject: RE: [Ipoverib] Summary of the IPoIB link layer address debate

From: "Arvind Murching" <[email-masked]>
Date: Tue, 15 Jan 2002 14:22:15 -0800

Implementations that wish to avoid the trip to SM may optionally use the
technique Michael Krause proposed, i.e., use the source LID in the ARP
response packet. There is no need to repeat the LID in the link layer
address.

- Arvind

-----Original Message-----
From: Roger Ronald [mailto:[email-masked]] 
Sent: Tuesday, January 15, 2002 1:39 PM
To: Vivek Kashyap
Cc: [email-masked]
Subject: [Ipoverib] Summary of the IPoIB link layer address debate

It seems like the general debate that's raging is trying to answer 
a single question:

"Is it wise to include the LID in order to enable a
shortcut that allows bypassing a trip to the SM/SA?"

My read is that second party dissemination of LIDs is not 
something that is prohibited (per the IBTA rules), but it is a
shortcut that the IBTA architects weren't expecting
and are uncomfortable seeing. Various objections
about PathRecords, rate control, SL, and MTU have
been mentioned, but don't seem to make for a conclusive
decision point.

In the end, the tradeoff seems to be simplicity versus
flexibility. Leaving out the LID makes the header
smaller and the processing is always done in one
way. Putting the LID into the header allows
skipping a step under (at least) some circumstances.

I'm willing to live with either approach. I am
not as ambivalent about Vivek's last email that
questions the inclusion of GID. While I'm not too
concerned about supporting a single IP subnet over
multiple IB subnets, I do think that the GID is
required to support any sort of bridging devices. If only a 
16-bit LID is used, one would never be able to build
a useful bridge to important fabrics like Ethernet.

RR
----- Original Message ----- 
<snip>

_______________________________________________
IPoverIB mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/ipoverib